OBRingSearch Class Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
OBRingSearch Class Reference

`#include <openbabel/ring.h>`

List of all members.

## Public Member Functions
| OBRingSearch ()
| ~OBRingSearch ()
void | SortRings ()
void | RemoveRedundant (int)
void | AddRingFromClosure (OBMol &, OBBond *)
bool | SaveUniqueRing (std::deque< int > &, std::deque< int > &)
void | WriteRings ()
Iterator methods -- see OBMolRingIter for iteration over a molecule
std::vector< OBRing * >::iterator | BeginRings ()
std::vector< OBRing * >::iterator | EndRings ()

## Detailed Description

Internal class to facilitate OBMol::FindSSSR()

## Constructor & Destructor Documentation

OBRingSearch | ( |  | ) | `[inline]`

~OBRingSearch | ( |  | ) |

Destructor -- free all rings created from this search.

## Member Function Documentation

void SortRings | ( |  | ) | `[inline]`

Sort ring sizes from smallest to largest.

Referenced by OBMol::FindLSSR(), and OBMol::FindSSSR().

void RemoveRedundant | ( | int | frj | ) |

Starting with a full ring set - reduce to SSSR set.

Referenced by OBMol::FindLSSR(), and OBMol::FindSSSR().

void AddRingFromClosure | ( | OBMol & | mol,
|  | OBBond * | cbond
| ) |  |

Add a new ring from a "closure" bond: See OBBond::IsClosure()

Referenced by OBMol::FindLSSR(), and OBMol::FindSSSR().

bool SaveUniqueRing | ( | std::deque< int > & | d1,
|  | std::deque< int > & | d2
| ) |  |

void WriteRings | ( |  | ) |

For debugging only, write the rings to std::cout.

std::vector<OBRing*>::iterator BeginRings | ( |  | ) | `[inline]`

Returns:
  an iterator pointing to the beginning of the list of rings

Referenced by OBMol::FindLSSR(), and OBMol::FindSSSR().

std::vector<OBRing*>::iterator EndRings | ( |  | ) | `[inline]`

Returns:
  an iterator pointing to the end of the list of rings

Referenced by OBMol::FindLSSR(), and OBMol::FindSSSR().

The documentation for this class was generated from the following files:

- ring.h
- ring.cpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines